<!--
unity webgl responsive

template by dom
dom@crowscrowscrows.com
https://twitter.com/zerstoerer

source code on github
https://github.com/sno/unity-webgl-responsive
-->

<!DOCTYPE html>
<html lang="en-us">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/css/style.css">

    <title>Maze Runner</title>
  </head>
  <body>
    <div class="webgl-wrapper">
      <div class="aspect"></div>
      <div class="webgl-content">
        <div id="unityContainer">
          <canvas id="unity-canvas" style="background: #FFFFFF"></canvas>
        </div>
      </div>
    </div>

    <div class="info">
      <p>unity webgl responsive</p>
      <p>press F or <a href="#" onclick="myGameInstance.SetFullscreen(1)">click here</a> to toggle fullscreen</p>
    </div>

    <!-- feel free to remove all credits! -->
    <div class="info">
      <p>source code on <a href="https://github.com/sno/unity-webgl-responsive">github</a></p>
      <p>template by dom / <a href="https://twitter.com/zerstoerer">@zerstoerer</a></p>
    </div>

    <script src="MyLoader.js"></script>
    <script>
      createUnityInstance(document.querySelector("#unity-canvas"), {
        dataUrl: "Build/Maze Runner Vers. 1.02.data",
        frameworkUrl: "Build/Maze Runner Vers. 1.02.framework.js",
        codeUrl: "Build/Maze Runner Vers. 1.02.wasm",
        streamingAssetsUrl: "StreamingAssets",
        companyName: "DanDev",
        productName: "Maze Runner",
        productVersion: "1.02",
      }).then((unityInstance) => {
        myGameInstance = unityInstance;
      });
    </script>

    <!-- check for F key press to toggle full screen -->
    <script>
      var isFullscreen = false;

      document.addEventListener('keydown', function(event) {
          if (event.which === 70) {
              if (!isFullscreen) {
                myGameInstance.SetFullscreen(1);
              } else {
                myGameInstance.SetFullscreen(0);
              }
              isFullscreen = !isFullscreen;
          }
      });
    </script>
  </body>
</html>
